com.holonplatform.reactor.http.internal

## Interface ReactiveInvoker

- All Known Implementing Classes:
    AbstractReactiveRestClient, WebClientReactiveRestClient

      public interface ReactiveInvoker

  Invoker to asynchronously perform a client request in order to consume a response using a `ReactiveRestClient.ReactiveRequestDefinition`.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T,R> reactor.core.publisher.Mono<ReactiveResponseEntity<T>>` | `invoke(ReactiveRestClient.ReactiveRequestDefinition requestDefinition, com.holonplatform.http.HttpMethod method, com.holonplatform.http.rest.RequestEntity<R> requestEntity, com.holonplatform.http.rest.ResponseType<T> responseType, boolean onlySuccessfulStatusCode)` Invoke a request asynchronously using current given `request` definition.

- - ### Method Detail

    - #### invoke

          <T,R> reactor.core.publisher.Mono<ReactiveResponseEntity<T>> invoke(ReactiveRestClient.ReactiveRequestDefinition requestDefinition,
                                                                              com.holonplatform.http.HttpMethod method,
                                                                              com.holonplatform.http.rest.RequestEntity<R> requestEntity,
                                                                              com.holonplatform.http.rest.ResponseType<T> responseType,
                                                                              boolean onlySuccessfulStatusCode)

      Invoke a request asynchronously using current given `request` definition.
      Type Parameters:
        `T` - Response type
        `R` - Request entity type
      Parameters:
        `requestDefinition` - Request definition
        `method` - Request method
        `requestEntity` - Request message payload
        `responseType` - Expected response payload type
        `onlySuccessfulStatusCode` - `true` to return only `2xx` status code response and throw an `UnsuccessfulResponseException` otherwise, `false` to return any status code responses
      Returns:
        A `Mono` to handle the `ReactiveResponseEntity` object as the result of the request invocation

Copyright © 2019 The Holon Platform. All rights reserved.